ItemEvents.modification(event => {
	function stackTo1(x) {
		event.modify(x, item => { item.maxStackSize = 1 })
	}
	function stackTo16(x) {
		event.modify(x, item => { item.maxStackSize = 16 })
	}
	function stackTo32(x) {
		event.modify(x, item => { item.maxStackSize = 32 })
	}
	function stackTo64(x) {
		event.modify(x, item => { item.maxStackSize = 64 })
	}
	function rarity(x, q) {
		event.modify(x, item => { item.rarity = q })
	}
	function fireResist(x, q) {
		event.modify(x, item => { item.fireResistant = q })
	}
	function durbility(x, q) {
		event.modify(x, item => { item.setMaxDamage(q) })
	}
	function attackdamage(x, q) {
		event.modify(x, item => { item.attackDamage = q })
	}
	function attackspeed(x, q) { // Base player atk speed is 4.0, base - item = actual atk speed. Set to -2.2 to get 1.8
		event.modify(x, item => { item.attackSpeed = q })
	}

	fireResist('minecraft:blaze_rod', true)
	attackdamage('refurbished_furniture:spatula', 1.5)
	attackdamage('refurbished_furniture:knife', 2)
	//attackspeed('refurbished_furniture:knife', -1.8)
	durbility('refurbished_furniture:knife', 512)
	durbility('create:super_glue', 16)
	durbility('minecraft:flint_and_steel', 32)

	stackTo1('kubejs:data_chip_blank')
	stackTo1('kubejs:data_chip_error')
	stackTo1('kubejs:data_chip_infinity')
	stackTo1('kubejs:data_chip_infinity_error')
	stackTo1('kubejs:data_chip1')
	stackTo1('kubejs:data_chip2')
	stackTo1('kubejs:data_chip3')
	stackTo1('kubejs:data_chip4')
	stackTo1('kubejs:data_chip5')
	stackTo1('kubejs:data_chip6')
	stackTo1('kubejs:data_chip7')
	stackTo1('kubejs:data_chip8')
	stackTo1('kubejs:data_chip9')
	stackTo1('kubejs:data_chip10')
	stackTo1('kubejs:data_chip11')
	stackTo1('kubejs:data_chip12')
	stackTo1('kubejs:data_chip13')
	stackTo1('kubejs:data_chip14')
	stackTo1('kubejs:data_chip15')
	stackTo1('kubejs:putty_knife')
	stackTo1('kubejs:diamond_brush')
	stackTo1('refurbished_furniture:raw_vegetable_pizza')
	stackTo1('thermal:carrot_cake')
	stackTo1('thermal:chocolate_cake')
	stackTo1('createaddition:chocolate_cake')
	stackTo1('createaddition:honey_cake')

	//stackTo16('minecraft:cake')
	stackTo16('minecraft:pumpkin_pie')
	stackTo16('farmersdelight:apple_pie')
	stackTo16('farmersdelight:sweet_berry_cheesecake')
	stackTo16('farmersdelight:chocolate_pie')
	stackTo16('minecraft:potion')
	stackTo16('minecraft:splash_potion')
	stackTo16('minecraft:lingering_potion')
	stackTo16('minecraft:dragon_breath')
	stackTo16('minecraft:minecart')
	stackTo16('minecraft:chest_minecart')
	stackTo16('minecraft:furnace_minecart')
	stackTo16('minecraft:tnt_minecart')
	stackTo16('minecraft:hopper_minecart')
	stackTo16('minecraft:command_block_minecart')
	stackTo16('minecraft:compass')
	stackTo16('minecraft:recovery_compass')
	stackTo16('minecraft:clock')
	stackTo16('minecraft:white_bed')
	stackTo16('minecraft:orange_bed')
	stackTo16('minecraft:magenta_bed')
	stackTo16('minecraft:light_blue_bed')
	stackTo16('minecraft:yellow_bed')
	stackTo16('minecraft:lime_bed')
	stackTo16('minecraft:pink_bed')
	stackTo16('minecraft:gray_bed')
	stackTo16('minecraft:light_gray_bed')
	stackTo16('minecraft:cyan_bed')
	stackTo16('minecraft:purple_bed')
	stackTo16('minecraft:blue_bed')
	stackTo16('minecraft:brown_bed')
	stackTo16('minecraft:green_bed')
	stackTo16('minecraft:red_bed')
	stackTo16('minecraft:black_bed')
	stackTo16('minecraft:saddle')
	stackTo16('minecraft:iron_horse_armor')
	stackTo16('minecraft:golden_horse_armor')
	stackTo16('minecraft:diamond_horse_armor')
	stackTo16('minecraft:leather_horse_armor')
	stackTo16('minecraft:music_disc_13')
	stackTo16('minecraft:music_disc_cat')
	stackTo16('minecraft:music_disc_blocks')
	stackTo16('minecraft:music_disc_chirp')
	stackTo16('minecraft:music_disc_far')
	stackTo16('minecraft:music_disc_mall')
	stackTo16('minecraft:music_disc_mellohi')
	stackTo16('minecraft:music_disc_stal')
	stackTo16('minecraft:music_disc_strad')
	stackTo16('minecraft:music_disc_ward')
	stackTo16('minecraft:music_disc_11')
	stackTo16('minecraft:music_disc_wait')
	stackTo16('minecraft:music_disc_otherside')
	stackTo16('minecraft:music_disc_5')
	stackTo16('minecraft:music_disc_pigstep')

	stackTo32('miners_delight:copper_cup')
	stackTo32('miners_delight:bat_soup_cup')
	stackTo32('miners_delight:insect_stew_cup')
	stackTo32('miners_delight:bone_broth_cup')
	stackTo32('miners_delight:beetroot_soup_cup')
	stackTo32('miners_delight:mushroom_stew_cup')
	stackTo32('miners_delight:rabbit_stew_cup')
	stackTo32('miners_delight:baked_cod_stew_cup')
	stackTo32('miners_delight:noodle_soup_cup')
	stackTo32('miners_delight:beef_stew_cup')
	stackTo32('miners_delight:cave_soup_cup')
	stackTo32('miners_delight:chicken_soup_cup')
	stackTo32('miners_delight:fish_stew_cup')
	stackTo32('miners_delight:pumpkin_soup_cup')
	stackTo32('miners_delight:vegetable_soup_cup')


	//stackTo64('minecraft:snowball')
	stackTo64('farmersdelight:rotten_tomato')

	rarity('minecraft:golden_carrot', 'uncommon')
	rarity('minecraft:glistering_melon_slice', 'uncommon')
	rarity('minecraft:bell', 'uncommon')
	rarity('ae2:singularity', 'epic')
	rarity('ae2:quantum_entangled_singularity', 'epic')
	rarity('tiab:time_in_a_bottle', 'epic')
	rarity('antiblocksrechiseled:bright_black', 'epic')
	rarity('kubejs:hyper_experience_block', 'epic')
	//Endrem Eyes
	rarity('endrem:black_eye', 'rare')
	rarity('endrem:lost_eye', 'rare')
	rarity('endrem:old_eye', 'rare')
	rarity('endrem:undead_eye', 'rare')
	rarity('endrem:cursed_eye', 'epic')
	rarity('endrem:evil_eye', 'epic')
	rarity('endrem:guardian_eye', 'common')
	rarity('endrem:exotic_eye', 'common')

})